Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class WindowInput

    java.lang.Object
      |
      +--shout3d.core.DeviceInput
            |
            +--shout3d.core.WindowInput

public class WindowInput
extends DeviceInput

A class for describing basic window input. The inputs that are received are for window close, iconify, and deiconify.

Field Summary
`static int` | `CLOSE` This flag indicates that the window was closed.
`static int` | `DEICONIFY` This flag indicates that the window was deiconified
`static int` | `ICONIFY` This flag indicates that the window was iconified.
`int` | `which` Indicates which type of input (CLOSE, ICONIFY, or DEICONIFY) was received.

Fields inherited from class shout3d.core.DeviceInput
`ALT_MASK, CTRL_MASK, META_MASK, modifiers, SHIFT_MASK, timeStamp`

Constructor Summary
`WindowInput()` Constructs a WindowInput
`WindowInput(int which, int modifiers, double timeStamp)` Constructs a WindowInput

Methods inherited from class shout3d.core.DeviceInput
`getTypeName, isOfType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSE

    public static final int CLOSE

  This flag indicates that the window was closed.

### ICONIFY

    public static final int ICONIFY

  This flag indicates that the window was iconified.

### DEICONIFY

    public static final int DEICONIFY

  This flag indicates that the window was deiconified

### which

    public int which

  Indicates which type of input (CLOSE, ICONIFY, or DEICONIFY) was received.

Constructor Detail

### WindowInput

    public WindowInput()

  Constructs a WindowInput

### WindowInput

    public WindowInput(int which,
                       int modifiers,
                       double timeStamp)

  Constructs a WindowInput

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD